Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces
ecdh.cpp File Reference
`#include <botan/ecdh.h>`
`#include <botan/internal/pk_ops_impl.h>`

Go to the source code of this file.

## Namespaces
| Botan

## Variable Documentation

const BigInt& m_cofactor

Definition at line 49 of file ecdh.cpp.

Referenced by Botan::EC_Group::get_cofactor().

const CurveGFp& m_curve

Definition at line 48 of file ecdh.cpp.

Referenced by Botan::EC_Group::get_curve(), Botan::PointGFp::get_curve(), and Botan::PointGFp::negate().

BigInt m_l_times_priv

Definition at line 51 of file ecdh.cpp.

const BigInt& m_order

Definition at line 50 of file ecdh.cpp.

Referenced by Botan::EC_Group::get_order().

RandomNumberGenerator& m_rng

Definition at line 52 of file ecdh.cpp.

Referenced by Botan::TLS::Channel::rng().